import { fetchGroups, configureWebhook, addBotToGroup } from './utils/api';

// Store community and group information
export const linkedGroups: Set<string> = new Set(); // Ensure this is exported

export async function startBot() {
  const communityId = process.env.COMMUNITY_ID;
  const webhookUrl = process.env.WEBHOOK_URL;

  if (!communityId || !webhookUrl) {
    throw new Error('Required environment variables are not defined.');
  }

  await fetchGroups(communityId);
  await configureWebhook(webhookUrl);
}
